Bug 16609 - Do we need exception inheritance?
Do we need exception inheritance?
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: WebIDL
unspecified
All All
: P2 normal
: ---
Assigned To: Cameron McCormack
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 11:08 UTC by Ms2ger
Modified: 2012-04-08 23:34 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger 2012-04-03 11:08:26 UTC
I may be mistaken, but I don't think anybody uses exception inheritance at this point. If I'm correct, it should be removed from the spec.
Comment 1 Marcos Caceres 2012-04-03 11:42:03 UTC
I've only seen one bad instance of it. But I'm ok with not allowing it.
Comment 2 Cameron McCormack 2012-04-06 01:18:37 UTC
If nobody uses it, yes let's drop it.  We can do that during CR, since I've noted that any features that don't gain adoption in specs will be dropped:

  http://dev.w3.org/2006/webapi/WebIDL/#cr-exit

Marcos, what's the bad instance?
Comment 3 Marcos Caceres 2012-04-06 09:59:44 UTC
(In reply to comment #2)
> Marcos, what's the bad instance?

IIRC, one that was used by an older WAC spec (WACDeviceError or something, though it was probably wrong anyway). Those old specs have been taken offline.
Comment 4 Cameron McCormack 2012-04-08 23:34:30 UTC
I've explicitly listed it exception inheritance as "at risk".